@ECHO OFF
CLS
:LOOP
ECHO PRESS F1 to Display DIR
ECHO PRESS F2 to Display VER
ECHO PRESS F3 to Display VOL
ECHO PRESS F4 to Display MEM 
ECHO PRESS F5 TO Quit to CHKDSK
ECHO PRESS F6 to Quit to DOS
:GET_KEY
F1TOF10
IF ERRORLEVEL 65 GOTO GET_KEY
IF ERRORLEVEL 64 GOTO DONE
IF ERRORLEVEL 63 IF NOT ERRORLEVEL 64 CHKDSK
IF ERRORLEVEL 62 IF NOT ERRORLEVEL 63 MEM
IF ERRORLEVEL 61 IF NOT ERRORLEVEL 62 VOL
IF ERRORLEVEL 60 IF NOT ERRORLEVEL 61 VER
IF ERRORLEVEL 59 IF NOT ERRORLEVEL 60 DIR

GOTO LOOP
:DONE
